#include <SDL.h>
#include <SDL_image.h>
#include <cstdlib>
#include <cstdio>

SDL_Window *ventana;
SDL_Renderer *renderer;
SDL_Texture *texture;

void MostrarFondo(SDL_Renderer *renderer) {
    // Bandas de color
    SDL_Rect rect = { 80,0,80,480 };

    SDL_SetRenderDrawColor(renderer, 0,0,0,255);
    SDL_RenderClear(renderer);

    SDL_SetRenderDrawColor(renderer, 255,0,0,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 255,255,0,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 0,255,0,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 0,255,255,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 0,0,255,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 255,0,255,255);
    SDL_RenderFillRect(renderer, &rect);

    rect.x += 80;
    SDL_SetRenderDrawColor(renderer, 255,255,255,255);
    SDL_RenderFillRect(renderer, &rect);
}

int main( int argc, char * argv[] ) {
    SDL_BlendMode modo[] = {
        SDL_BLENDMODE_NONE, SDL_BLENDMODE_BLEND, SDL_BLENDMODE_ADD,
        SDL_BLENDMODE_MOD, SDL_BLENDMODE_MUL};

    SDL_Init(SDL_INIT_EVERYTHING);
    ventana = SDL_CreateWindow("Mi primera ventana",
        SDL_WINDOWPOS_CENTERED, SDL_WINDOWPOS_CENTERED,
            640, 480, SDL_WINDOW_SHOWN | SDL_WINDOW_BORDERLESS);
    renderer = SDL_CreateRenderer(ventana, -1, 0);
    texture = IMG_LoadTexture(renderer, "dados.png");

    for(size_t i=0; i<sizeof(modo)/sizeof(SDL_BlendMode); i++) {
        MostrarFondo(renderer);

        SDL_SetTextureBlendMode(texture, modo[i]);
        SDL_RenderCopy(renderer, texture, NULL, NULL);

        SDL_RenderPresent(renderer);
        SDL_Delay(1000);
    }
    SDL_DestroyTexture(texture);
    SDL_DestroyRenderer(renderer);
    SDL_DestroyWindow(ventana);
    SDL_Quit();
    return 0;
}
